!******************************************************************************!
! Test plot cut.
! Arguments: None
! @bug: NXM-2921 PLOT: x-cut NPE on files without extension specified
! @author: Paul M
! @since: NeXtMidas 3.7.1
!******************************************************************************!
startmacro
  call setDatDir

  plot/bg/id=plot1 ^{datDir}.apenny(90:91)
  plot/bg/id=plot2 ^{datDir}.apenny.prm(90:91)
  plot/bg/id=plot3 ^{datDir}.apenny
  call test_plot_cut
endmacro

!******************************************************************************!
! Set the dat directory
!******************************************************************************!
procedure setDatDir
  invoke nxmMajor env.nmversion.subString(0,1)
  invoke major java.lang.Integer.valueOf(nxmMajor)
  if major GE 4 then
    invoke s:datDir           nxm.sys.test.DatLocator.getDatDirLocation()
    invoke s:datDirSlash      nxm.sys.test.DatLocator.getDatDirSlashLocation()
    invoke z:sysDatFull       nxm.sys.test.DatLocator.sysDatFull()
    invoke z:sysTestDatExists nxm.sys.test.DatLocator.sysTestDatExists()
  else
    set s:datDir           "nxm.sys.dat"
    set s:datDirSlash      "nxm/sys/dat"
    set z:sysDatFull       true
    set z:sysTestDatExists false
  endif
return

!------------------------------------------------------------
procedure test_plot_cut
  assert/text="^reg.main.name: Plot1 xmin equal plot2 xmin" reg.plot1.xmin EQ/T reg.plot2.xmin
  assert/text="^reg.main.name: Plot1 ymin equal plot2 ymin" reg.plot1.ymin EQ/T reg.plot2.ymin
  assert/text="^reg.main.name: Plot1 xmin not equal plot3 xmin" reg.plot1.xmin NEQ/T reg.plot3.xmin
  assert/text="^reg.main.name: Plot1 ymin not equal plot3 ymin" reg.plot1.ymin NEQ/T reg.plot3.ymin
  assert/text="^reg.main.name: Plot2 xmin not equal plot3 xmin" reg.plot2.xmin NEQ/T reg.plot3.xmin
  assert/text="^reg.main.name: Plot2 ymin not equal plot3 ymin" reg.plot2.ymin NEQ/T reg.plot3.ymin
  message func=send name=exit id=plot1
  message func=send name=exit id=plot2
  message func=send name=exit id=plot3
return
